Bug 473774 - problem with yumex or package Kit while opening
problem with yumex or package Kit while opening
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
10
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 09:13 EST by Narendra Sisodiya
Modified: 2014-01-21 18:07 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 08:49:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
attaching a actual BUG file. there was a error in copy paste in original description (1.95 KB, application/octet-stream)
2008-11-30 09:23 EST, Narendra Sisodiya
no flags Details

  None (edit)
Description Narendra Sisodiya 2008-11-30 09:13:41 EST
Description of problem:
Unable to open PackageKit or Yumex for installing new package. This problem comes because i have updated some package and GUI of pakcagekit or yumex  

Version-Release number of selected component (if applicable):


How reproducible:
i do not know. But i have not installed fedora 10 directly, I have installed fedora preview and then updated to fedora 10 final version, and after update i got this problem,

------------- error result -------------
 Error Type: <type'exceptions.TypeError'> 
 Error Value: &apos;NoneType&apos; object is unsubscriptable Error Value: 'NoneType' object is unsubscriptable 
   File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2202, in &lt;module&gt; File: / usr / share / PackageKit / helpers / yum / yumBackend.py, line 2202, in <module> 
     main() main () 
   File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2199, in main File: / usr / share / PackageKit / helpers / yum / yumBackend.py, line 2199, in main 
     backend.dispatcher(sys.argv[1:]) backend.dispatcher (sys.argv [1:]) 
   File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 599, in dispatcher File: / usr/lib/python2.5/site-packages/packagekit/backend.py, line 599, in dispatcher 
     self.dispatch_command(args[0], args[1:]) self.dispatch_command (args [0], args [1:]) 
   File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 503, in dispatch_command File: / usr/lib/python2.5/site-packages/packagekit/backend.py, line 503, in dispatch_command 
     self.get_distro_upgrades() self.get_distro_upgrades () 
   File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1660, in get_distro_upgrades File: / usr / share / PackageKit / helpers / yum / yumBackend.py, line 1660, in get_distro_upgrades 
     pkgs = self.yumbase.pkgSack.returnNewestByName(name=&apos;preupgrade&apos;) pkgs = self.yumbase.pkgSack.returnNewestByName (name = 'preupgrade') 
   File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 592, in &lt;lambda&gt; File: / usr/lib/python2.5/site-packages/yum/__init__.py, line 592, in <lambda> 
     pkgSack = property(fget=lambda self: self._getSacks(), pkgSack = property (fget = lambda self: self._getSacks (), 
   File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 435, in _getSacks File: / usr/lib/python2.5/site-packages/yum/__init__.py, line 435, in _getSacks 
     self.repos.populateSack(which=repos) self.repos.populateSack (which = repos) 
   File : /usr/lib/python2.5/site-packages/yum/repos.py, line 223, in populateSack File: / usr/lib/python2.5/site-packages/yum/repos.py, line 223, in populateSack 
     self.doSetup() self.doSetup () 
   File : /usr/lib/python2.5/site-packages/yum/repos.py, line 71, in doSetup File: / usr/lib/python2.5/site-packages/yum/repos.py, line 71, in doSetup 
     self.ayum.plugins.run(&apos;postreposetup&apos;) self.ayum.plugins.run ( 'postreposetup') 
   File : /usr/lib/python2.5/site-packages/yum/plugins.py, line 176, in run File: / usr/lib/python2.5/site-packages/yum/plugins.py, line 176, in run 
     func(conduitcls(self, self.base, conf, **kwargs)) func (conduitcls (self, self.base, conf, ** kwargs)) 
   File : /usr/lib/yum-plugins/rpm-warm-cache.py, line 31, in postreposetup_hook File: / usr / lib / yum-plugins / rpm-warm-cache.py, line 31, in postreposetup_hook 
     if commands[0] in (&apos;upgrade&apos;, &apos;install&apos;, &apos;remove&apos;): if commands [0] in ( 'upgrade', 'install', 'remove'): 





-----------------     error result in yumex GUI      -----------------

Error Type: <type 'exceptions.IndexError'> 
Error Value: list index out of range 
  File : /usr/share/yumex/yumex.py , line 739, in <module>
    mainApp = YumexApplication() 
  File : /usr/share/yumex/yumex.py , line 446, in __init__
    self.setupYum() 
  File : /usr/share/yumex/yumex.py , line 467, in setupYum
    self.yumbase._setupBase() 
  File : /usr/share/yumex/yumapi.py , line 70, in _setupBase
    self.doTsSetup() 
  File : /usr/lib/python2.5/site-packages/yum/depsolve.py , line 86, in doTsSetup
    return self._getTs() 
  File : /usr/lib/python2.5/site-packages/yum/depsolve.py , line 101, in _getTs
    self._getTsInfo(remove_only) 
  File : /usr/lib/python2.5/site-packages/yum/depsolve.py , line 112, in _getTsInfo
    pkgSack = self.pkgSack 
  File : /usr/lib/python2.5/site-packages/yum/__init__.py , line 592, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(), 
  File : /usr/lib/python2.5/site-packages/yum/__init__.py , line 435, in _getSacks
    self.repos.populateSack(which=repos) 
  File : /usr/lib/python2.5/site-packages/yum/repos.py , line 223, in populateSack
    self.doSetup() 
  File : /usr/lib/python2.5/site-packages/yum/repos.py , line 71, in doSetup
    self.ayum.plugins.run('postreposetup') 
  File : /usr/lib/python2.5/site-packages/yum/plugins.py , line 176, in run
    func(conduitcls(self, self.base, conf, **kwargs)) 
  File : /usr/lib/yum-plugins/rpm-warm-cache.py , line 31, in postreposetup_hook
    if commands[0] in ('upgrade', 'install', 'remove'):
Comment 1 Narendra Sisodiya 2008-11-30 09:23:24 EST
Created attachment 325127 [details]
attaching a actual BUG file. there was a error in copy paste in original description

There was a error in copy paste in description. Here is the actual system error message which i got.
Comment 2 Richard Hughes 2008-12-01 07:27:59 EST
You need to disable yum-rpm-warm-cache.
Comment 3 Peter Trenholme 2008-12-07 22:17:35 EST
Same bug using the yum 2.0.5 from "Testing." (And, yes, obviously, disabling or - as I did, removing the plug-in - removes the problem.)

Note that this bug should be against the plug-in (yum-rpm-warm-cache), not the package kit or yumex.
Comment 4 seth vidal 2008-12-08 08:49:58 EST
This bug has been fixed in upstream and should be out in the next release of yum-utils. Thanks.

Note You need to log in before you can comment on or make changes to this bug.